Add missing fixture to Redmine::ApiTest::ProjectsTest

2020-07-06 09:36 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 4.2.0   

Description

The attached patch fixes the following error.

$ bin/rails db:reset RAILS_ENV=test

$ bin/rails test test/integration/api_test/projects_test.rb:86

Run options: --seed 19242

# Running:

F

Failure:

Redmine::ApiTest::ProjectsTest#test_GET_/projects.xml_with_include=issue_custom_fields_should_retu

rn_custom_fields [/path/to/redmine/test/integration/api_test/projects_test.rb:91]:

Expected at least 1 element matching "issue_custom_fields[type=array] custom_field[name="Project 1

 cf"]", found 0..

Expected 0 to be >= 1.

bin/rails test test/integration/api_test/projects_test.rb:86

Associated revisions

Revision 19877 - 2020-07-10 01:34 - Go MAEDA

Add missing fixture to Redmine::ApiTest::ProjectsTest (#33700).

Patch by Go MAEDA.

History

#1 - 2020-07-08 04:27 - Go MAEDA

- Tracker changed from Defect to Patch

- Subject changed from Redmine::ApiTest::ProjectsTest may fail due to missing fixture to Add missing fixture to Redmine::ApiTest::ProjectsTest

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#2 - 2020-07-10 01:34 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the fix.
